package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 电子验收单据 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkDzysDeliveryorderService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkDzysDeliveryorder(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkDzysDeliveryorderMapper.addSKcCrkDzysDeliveryorder", pd);
    }

    public List<PageData> findSKcCrkDzysDeliveryorderList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkDzysDeliveryorderMapper.selectSKcCrkDzysDeliveryorderList", pd);
    }

    public Integer SKcCrkDzysDeliveryorderRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkDzysDeliveryorderMapper.SKcCrkDzysDeliveryorderRemove", pd);
    }


    public Integer updateSKcCrkDzysDeliveryorder(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkDzysDeliveryorderMapper.updateSKcCrkDzysDeliveryorder", pd);
    }

}
